namespace Petlja
{
    internal class Program
    {
        private static void Main()
        {
            string input1 = Console.ReadLine() ?? "0 0";
            string input2 = Console.ReadLine() ?? "";

            string[] splitInput1 = input1.Split(' ');
            string[] splitInput2 = input2.Split(' ');

            int numberOfStalactites = int.Parse(splitInput1[0]);
            int targetHeight = int.Parse(splitInput1[1]);

            List<int> stalactiteHeights = splitInput2.Select(int.Parse).ToList();
            int res = -1;
            for (int i = 0; i < stalactiteHeights.Count; i++)
            {
                if (stalactiteHeights[i] <= targetHeight)
                {
                    res = i;
                    break;
                }
            }

            Console.WriteLine(res);
        }
    }
}